Bug 1276223 - community-mysql: various flaws [fedora-all]
Summary: community-mysql: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 22
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Dorňák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1276266 (view as bug list)
Depends On:
Blocks: CVE-2015-4766 CVE-2015-4792 CVE-2015-4800 CVE-2015-4802 CVE-2015-4815 CVE-2015-4819 CVE-2015-4826 CVE-2015-4830 CVE-2015-4833 CVE-2015-4836 CVE-2015-4858 CVE-2015-4861 CVE-2015-4862 CVE-2015-4864 CVE-2015-4866 CVE-2015-4870 CVE-2015-4879 CVE-2015-4890 CVE-2015-4895 CVE-2015-4904 CVE-2015-4905 CVE-2015-4910 CVE-2015-4913 CVE-2015-4730
TreeView+ depends on / blocked
 
Reported: 2015-10-29 06:57 UTC by Huzaifa S. Sidhpurwala
Modified: 2016-03-09 20:14 UTC (History)
4 users (show)

Fixed In Version: community-mysql-5.6.29-1.fc22 community-mysql-5.6.29-1.fc23
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 16:23:30 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2015-10-29 06:57:17 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2015-10-29 06:57:28 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1274748,1274749,1274752,1274754,1274756,1274758,1274759,1274764,1274766,1274767,1274770,1274771,1274773,1274776,1274778,1274779,1274780,1274781,1274783,1274785,1274786,1274787,1274790,1274792,1274794,1276223

# Description of your update
notes=Security fix for CVE-2015-4766, CVE-2015-4791, CVE-2015-4792, CVE-2015-4800, CVE-2015-4802, CVE-2015-4807, CVE-2015-4815, CVE-2015-4819, CVE-2015-4826, CVE-2015-4830, CVE-2015-4833, CVE-2015-4836, CVE-2015-4858, CVE-2015-4861, CVE-2015-4862, CVE-2015-4864, CVE-2015-4866, CVE-2015-4870, CVE-2015-4879, CVE-2015-4890, CVE-2015-4895, CVE-2015-4904, CVE-2015-4905, CVE-2015-4910, CVE-2015-4913

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:


    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274748,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274749,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274752,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274754,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274756,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274758,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274759,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274764,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274766,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274767,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274770,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274771,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274773,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274776,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274778,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274779,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274780,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274781,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274783,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274785,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274786,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274787,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274790,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274792,1276223
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274794,1276223

Comment 2 Martin Prpič 2015-10-29 10:05:54 UTC
*** Bug 1276266 has been marked as a duplicate of this bug. ***

Comment 3 Fedora Update System 2016-02-14 11:34:21 UTC
community-mysql-5.6.29-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-65a1f22818

Comment 4 Fedora Update System 2016-02-14 11:35:00 UTC
community-mysql-5.6.29-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5cb344dd7e

Comment 5 Fedora Update System 2016-02-15 04:52:22 UTC
community-mysql-5.6.29-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5cb344dd7e

Comment 6 Fedora Update System 2016-02-15 05:23:52 UTC
community-mysql-5.6.29-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-65a1f22818

Comment 7 Fedora Update System 2016-03-09 15:55:54 UTC
community-mysql-5.6.29-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-03-09 16:23:21 UTC
community-mysql-5.6.29-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-03-09 20:13:05 UTC
community-mysql-5.6.29-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-03-09 20:14:29 UTC
community-mysql-5.6.29-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.